Problems getting Icy to work on 3.0

Discussion in 'iPod touch Firmware 3.0 Jailbreak' started by LadiesMan217, Jun 21, 2009.

  1. LadiesMan217

    LadiesMan217 New Member

    Joined:
    Oct 27, 2007
    Messages:
    175
    Likes Received:
    0
    Device:
    2G iPod touch
    I just jailbroke my 1G ipod touch 3.0. Using ICY, it won't let me download because of:

    "Package "mobile Substrate" cannot be installed (DPKG returned error #2)."

    in the view console log it says:

    dpkg: parse error, in file '/var/lib/dkpg/status' near line 26 package 'firmware': duplicate value for user-defined field 'Name'



    To fix this problem follow the following steps:
    Assuming you jailbroke 3.0 with redsnow 0.7.2 and chose to install both ICY and Cydia.
    1. Re-run the redsnow except this time ONLY check the install Cydia. Leave ICY option unchecked.
    2. Follow the instructions given at each step of running redsnow (the "3rd" part when it tells you to hold the home button for 20+ seconds, i just held it the whole time til it said finished, i dont know if that makes a difference, but it worked for me)
    3. when it reboots, you can use Cydia and ICY will still be there.
    4. If ICY doesnt work yet, same error, download Winterboard from Cydia, and it should be fine

    Hope this helps!
  2. MrGreencastle

    MrGreencastle New Member

    Joined:
    Dec 9, 2008
    Messages:
    62
    Likes Received:
    0
    Did you install Cydia when you jailbroke?
    If so, install Winterboard from the sources in Cydia, one of it's dependancies is Mobile Substrate, which is sort of an extension backend for the iPod Touch and iPhone.

    Let me know if that helps. If you didn't install Cydia, you can rejailbreak using redsn0w, and it should allow you to install Cydia along the way, without removing anything off your device.

    Edit: I'm wondering if it is less a problem with the frontend and more of a problem with the backend seeing as it's pumping out dpkg errors, which is the Debian package installer.
  3. LadiesMan217

    LadiesMan217 New Member

    Joined:
    Oct 27, 2007
    Messages:
    175
    Likes Received:
    0
    Device:
    2G iPod touch
    Cydia is also glitching, when I try to download Winterboard it errors:
    "Couldn't configure pre-depend dpkg for grep, probably a dependency cycle."
    ------------------double post merged------------------
    When I restarted springboard (because Cydia freezes) and tried again, for some reason it worked with Icy. No idea why.
  4. MrGreencastle

    MrGreencastle New Member

    Joined:
    Dec 9, 2008
    Messages:
    62
    Likes Received:
    0
    Did you upgrade from a previous jailbreak? That could cause some overlapping issues. Might I suggest that you rejailbreak using redsn0w? Or did you do this already?

    If not, make sure you allow it to go all the way through the jailbreak process, and only use your device once it's completely rebooted by itself and at the lock screen again.
  5. LadiesMan217

    LadiesMan217 New Member

    Joined:
    Oct 27, 2007
    Messages:
    175
    Likes Received:
    0
    Device:
    2G iPod touch
    It worked, just read what i wrote above
  6. odesto

    odesto New Member

    Joined:
    Dec 10, 2008
    Messages:
    2
    Likes Received:
    0
    Thanks

    Thanks, it really works for me!!!

    Please Register or Log in to view images

Share This Page